[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'HelpIntfs' (#lcl)

# THelpManager.DoHelpNotFound

Performs actions when help is not available in the help manager.

## Declaration

Source position: helpintfs.pas line 201

`public class function THelpManager.DoHelpNotFound(`
`var ErrMsg: string`
`):TShowHelpResult;`

## Arguments

`ErrMsg` |  | Error message displayed when help is not available in the help manager.

## Description

DoHelpNotFound is a TShowHelpResult class function used to perform actions when help cannot be displayed using the help manager instance. It sets the help result and error message when the help file, query, or context is not available (or implemented) in the help manager. The default implementation sets the return value to shrHelpNotFound, and sets ErrMsg to 'Help not found'.

DoHelpNotFound is called from help manager methods which display a given help type.